##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##

# ASPCUD optimization criteria for experimental
$aspcud_criteria = '-count(down),-count(solution,APT-Release:=/experimental/),-removed,-changed,-new';

# Disable check space, as the heuristic used seems wrong at least from some packages
$check_space = 0;

# Default to --chroot-mode=schroot, even if we always pass --chroot-mode to the sbuild command
$chroot_mode = "schroot";

# Don't let sbuild try and create chroots itself using mmdebstrap
$unshare_mmdebstrap_auto_create=0;

# Define build directory for --chroot-mode=unshare, otherwise /tmp is used
$unshare_tmpdir_template='/srv/buildd/tmp.sbuild.XXXXXXXXXX';

<% if scope.call_function('versioncmp', [@lsbmajdistrelease, '11']) >= 0 -%>
# Use a predictible build path (see Bug#1034424)
$build_path='/build/reproducible-path';
<% end -%>

<% if %w{mipsel mips64el}.include?(scope.lookupvar('::debarchitecture')) -%>
# mips*el buildds are slow
$stalled_pkg_timeout = 300;
<% end -%>
